//
//  MATCMathOperatorTest.m
//  UnitTestExample
//
//  Created by Brad Larson on 3/21/2010.
//

#import "MATCMathOperatorTest.h"
#import "MATCMathOperator.h"

@implementation MATCMathOperatorTest

#if USE_APPLICATION_UNIT_TEST     // all code under test is in the iPhone Application

- (void) testAppDelegate {
    
    id yourApplicationDelegate = [[UIApplication sharedApplication] delegate];
    STAssertNotNil(yourApplicationDelegate, @"UIApplication failed to find the AppDelegate");
    
}

#else                           // all code under test must be linked into the Unit Test bundle

#pragma mark -
#pragma mark Setup and teardown of the tests

- (void)setUp
{
	operatorToTest = [[MATCMathOperator alloc] init];
}

- (void)tearDown
{
	[operatorToTest release];
}

#pragma mark -
#pragma mark Test methods

- (void)testAdd;
{
	NSInteger sum = [operatorToTest add:1 to:2];
	STAssertEquals(sum, 3, @"1 + 2 should equal 3, but instead returned %d", sum);
}

- (void)testSubtract;
{
//    STAssertTrue((1+1)==2, @"Compiler isn't feeling well today :-(" );
//	STFail(@"A test of failure");
	
	NSInteger difference = [operatorToTest subtract:1 from:2];
	STAssertEquals(difference, 1, @"2 - 1 should equal 1, but instead returned %d", difference);
}

#endif


@end
